
<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>
						    <h4 class="card-title">
						        <span>{{siswa?.nama}}</span>
						
						        <button id="jh-create-entity" class="btn btn-success float-right jh-create-entity create-besar-bayar" (click)="previousState()">
						            <i class="material-icons">prev</i>
						            <span>
						            Back
						            </span>
						        </button>
						    </h4>
					</div>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
	
    <div class="card-body">
			<form name="editForm" role="form" novalidate [formGroup]="editForm">
			<div class="modal-header">
			       <h3 style="font-weight: bold; color:#808080">{{tagihan?.namaSiswa}}</h3>
			      
				   	<div class="col-4">
				              <div class="form-group">
				                  <label class="form-control-label" for="field_tahunAjaran">Tahun Ajaran</label>
				                  <select class="form-control" id="field_tahunAjaran" name="tahunAjaran" formControlName="tahunAjaran" (ngModelChange)="loadData()">
				                      <option [ngValue]="ta.nama === editForm.get('tahunAjaran')!.value?.nama ? editForm.get('tahunAjaran')!.value.nama : ta.nama" *ngFor="let ta of tahunAjarans;">{{ ta.nama }}</option>
				                  </select>
				              </div>
				   	</div> 
			</div>
			<br>
			 <div>
			    <div class="alert alert-warning" *ngIf="tagihans?.length === 0">
			        <span>No tagihans found</span>
			    </div>
			    <div class="table-responsive" *ngIf="tagihans?.length > 0">
			        <table class="table table-hover" aria-describedby="page-heading">
			            <thead>
			            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
			            <!-- <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon [icon]="'sort'"></fa-icon></th> -->
			            <th scope="col"><span>Jenis</span></th>
			            <th scope="col"><span>Tahun Ajaran</span></th>
			            <th scope="col"><span>Nominal</span></th>
			            <th scope="col" class="d-none d-sm-table-cell"><span>Tanggal Bayar</span></th>
			            <th scope="col"><span>Status</span></th>
			            <th></th>
			            </tr>
			            </thead>
			            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
			            <tr *ngFor="let tagihan of tagihans ;trackBy: trackId">
			                <!-- <td><a [routerLink]="['/tagihan', tagihan.id, 'view' ]">{{tagihan.id}}</a></td> -->
			                <td>{{tagihan.nomorTagihan}}</td>
			                <td>{{tagihan.tglTagihan}}</td>
			                <td>
				                <span *ngIf="tagihan.nominalPembayaran !== null">{{tagihan.harusBayar| currency:'Rp. ' }}</span>
				                <span *ngIf="tagihan.nominalPembayaran === null">-</span>
			                </td>
			                <td class="d-none d-sm-table-cell">{{tagihan.tglBayar | date:'dd MMM yyy'}}</td>
			                <td>
			                   <span><span *ngIf="tagihan.statusTagihan === 'BELUMBAYAR'" style="color: #ec644b; font-style: italic;">BELUM BAYAR</span></span>
			                   <span><span *ngIf="tagihan.statusTagihan === 'LUNAS'" style="color: #00e640; font-style: italic;">LUNAS</span></span>
			                   <span><span *ngIf="tagihan.statusTagihan === 'MENUNGGU'" style="color: #ff9900; font-style: italic;">MENUNGGU PEMBAYARAN</span></span>
			                   <span><span *ngIf="tagihan.statusTagihan === 'ANGSUR'" style="color: #ff9900; font-style: italic;">ANGSURAN</span></span>
			                   <span><span *ngIf="tagihan.statusTagihan === 'BEASISWA'" style="color: #00e640; font-style: italic;">BEASISWA</span></span>
			                </td>
			                <td class="td-actions text-right"  *jhiHasAnyAuthority="['ROLE_KETUA','ROLE_LOUNDRY','ROLE_TU']">
			                  		<div  *ngIf="tagihan.statusTagihan != 'BEASISWA'">
						                    <div class="btn-group" *ngIf="tagihan.statusTagihan === 'MENUNGGU'">
								                <button class="btn btn-warning btn-sm btn-just-icon btn-round" (click)="resultTransaksi(tagihan.virtualAccount)" *ngIf="tagihan.statusTagihan !== 'LUNAS'">
				                           			<i class="material-icons">receipt</i>
										        </button>
						                    </div>
						                    <div class="btn-group" *jhiHasAnyAuthority="['ROLE_WALI']">
								                <button class="btn btn-info btn-sm btn-just-icon btn-round" (click)="detailTransaksi(tagihan)" *ngIf="tagihan.statusTagihan === 'BELUMBAYAR'">
				                           			<i class="material-icons">payment</i>
										        </button>
						                    </div>
			                    			<div class="btn-group" *jhiHasAnyAuthority="['ROLE_TU', 'ROLE_LOUNDRY']">
					                    		<button class="btn btn-info btn-sm btn-just-icon btn-round" (click)="detailTransaksi(tagihan)" *ngIf="tagihan.statusTagihan !== 'LUNAS'">
				                           			<i class="material-icons">payment</i>
										        </button>
										    </div>
										</div>
			                   			<div class="btn-group" *ngIf="tagihan.statusTagihan === 'LUNAS'">
				                    		<button class="btn btn-info btn-sm btn-just-icon btn-round" (click)="edit(tagihan)">
			                           			<i class="material-icons">edit</i>
									        </button>
									    </div>
				                </td>
			            </tr>
			            </tbody>
			        </table>
			    </div>
				<div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
			        </div>
			    </div>
			</div>
			</form>
			</div>
			</div>
			</div>
		</div>
	</div>
</div>
		